Bug 819079 - Re-review: Packaging mistakes in libdb
Re-review: Packaging mistakes in libdb
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libdb (Show other bugs)
19
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Staněk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 15:19 EDT by Michael Schwendt
Modified: 2013-07-29 09:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 07:09:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2012-05-04 15:19:37 EDT
Hereby I propose the following fixes to the libdb spec file:

* introduce arch-specific dependencies
* eliminate superfluous/wrong subpkg dependencies
* trim down the duplicate %descriptions to their relevant portion
* rename -devel-doc package as it contains not just C API docs
* revise -devel-doc packaging, group, and dependencies
* move run-time libs from -devel subpackages to proper run-time subpackages
* fix wrong %post scriptlets
Comment 1 Fedora Admin XMLRPC Client 2013-03-12 09:45:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-03-12 09:45:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2013-03-20 05:17:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-04-03 11:29:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Jan Staněk 2013-07-29 07:09:04 EDT
Most of the fixes is already implemented in current release of fedora.

* rename -devel-doc package as it contains not just C API docs
This change doesn't seem to be helpful - as the whole package is library and meant to be used by developers, the documentation may as well stay in the -devel-doc sub-package.
Comment 6 Michael Schwendt 2013-07-29 09:48:58 EDT
> as the whole package is library and meant to be used by developers

?? libdb too? It's a run-time package! Typically, we give separate documentation packages the name %{name}-doc, hence libdb-doc not libdb-devel-doc.

  https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

With "it contains not just C API docs" I also mean that it covers also the run-time utilities, the licensing and contains links to external references.

Note You need to log in before you can comment on or make changes to this bug.